//----------------------SETTING-PROPERTIES-LAYOUT-LAYOUT-FILE------------------//

//GENERAL
/*********/
*,
*:before,
*:after {
  box-sizing: border-box;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin: 0;
  padding: 0;
  font-size: 1em;
}

//HTML
/******/
html {
  font-size: 100%;
  touch-action: manipulation;
}

//BODY
/*****/
body {
  /* global font rendering (work on Arial too) */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-family: $font-default;
  padding-top: $padding-top-body-mobile;
}

//OVERLAY
body.overlay-is-open {
  overflow: hidden;
}

// avoid ads skin issue with position fixed
.sub-body {
  @extend %skin-css-fixes;
}

.overlay-layer {
  .overlay-is-open & {
    display: block;
  }

  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  z-index: 1;
  display: none;
}

//MAIN
/******/
.main-content {
  display: block;
  position: relative;
  max-width: $website-s-size;
  padding: $gutter-s-padding;
  margin: 0 auto;
  font-size: 1rem;
  padding-bottom: 1px;
  background-color: $white-style1;
}

//MQSTATE
.mq-state {
  position: absolute;
  bottom: 0;
  right: 0;
  width: 1px;
  height: 1px;
  z-index: 1;
}

@include mq("small") {
  .main-content {
    max-width: $website-m-size;
    padding: $gutter-m-padding;
  }

  .mq-state {
    z-index: 2;
  }
}

@include mq("medium") {
  body {
    padding-top: $padding-top-body-desktop;
  }

  .main-content {
    max-width: $website-l-size;
    padding: $gutter-l-padding;
  }

  .mq-state {
    z-index: 3;
  }
}
